#ifndef _DEVALARM_H_
#define _DEVALARM_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "dllexport.h"

class IDevUserLogin;

class IDevAlarm
{ 
public:
    virtual bool StartService() = 0;
    virtual bool StopService() = 0;
    virtual bool IsServiceStartup() = 0;
};


class DLLAPI CDevAlarmFactory
{
public:
	static IDevAlarm *CreateDevAlarm(IDevUserLogin *pUser);
	static void DeleteDevAlarm(IDevAlarm *pAlarm, IDevUserLogin *pUsr);
};

#endif
